Package com.oracle.truffle.api.impl

## Class DefaultCallTarget

- java.lang.Object
- - com.oracle.truffle.api.impl.DefaultCallTarget

All Implemented Interfaces:
  `CallTarget`, `RootCallTarget`

    public class DefaultCallTarget
    extends java.lang.Object
    implements RootCallTarget

This is an implementation-specific class. Do not use or instantiate it. Instead, use `TruffleRuntime.createCallTarget(RootNode)` to create a `RootCallTarget`.

### Constructor Summary

Constructors
`DefaultCallTarget​(RootNode function)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `call​(java.lang.Object... args)` Calls this target as a root method.
`RootNode` `getRootNode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefaultCallTarget

    public DefaultCallTarget​(RootNode function)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getRootNode

    public final RootNode getRootNode()

Specified by:
  `getRootNode` in interface `RootCallTarget`

#### call

    public java.lang.Object call​(java.lang.Object... args)

Description copied from interface: `CallTarget`
Calls this target as a root method.

Specified by:
  `call` in interface `CallTarget`
Parameters:
  `args` - passed arguments as an object array
Returns:
  the return result of the call